API Reference
Queryusage Flag
Query time series data about how much this flag was used recently. You cannot query more than 7 days back in time.
POST
/
v1
/
flags
/
{flag}
/
usage:query
Queryusage Flag
curl --request POST \
--url https://flags.eu.confidence.dev/v1/flags/{flag}/usage:query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startTime": {},
"endTime": {}
}
'import requests
url = "https://flags.eu.confidence.dev/v1/flags/{flag}/usage:query"
payload = {
"startTime": {},
"endTime": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({startTime: {}, endTime: {}})
};
fetch('https://flags.eu.confidence.dev/v1/flags/{flag}/usage:query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"usage": [
{
"hourTime": {},
"variants": [
{}
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
OK
The usage time series.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Queryusage Flag

